2018-03-29 Suleyman Poyraz <nipalensisaquila@gmail.com>
		* Hata düzeltmeleri:
		Kararlı öncesi. 
			-> Magic modülü kararlı hale getirildi, pkgconfig librarisi düzenlenecek.
			-> Arşiv çıkartılırken oluşan hata düzeltildi.
			-> inary-cli betiğini hangi kafa ile düzeltmişim? Saçmalamasına
			sebeb olan hata düzeltildi

		* Genel iyileştirmeler
			-> Actionsapi betiklerinden gereksiz fonksiyon var mı diye kontrol edilip 
			betikler düzenlendi. 
			-> Yeni bir renk skalası eklendi. ("faint")
			-> Renklendirme yapıldı


2018-03-18 Suleyman Poyraz <nipalensisaquila@gmail.com>
		* minidom vs ciksemel:
		minidom ile tüm inary sistemi yeniden yazıldı. Ancak ciddi manada
		inar yavaşlıyor. Db initializing süresi 8 sn. Yuh yani. Ama minidom 
		uğraşımı öylece silmek istemediğim için minidom ve ciksemeli beraber
		kullanma kararı aldım.


2018-03-11 Suleyman Poyraz <nipalensisaquila@gmail.com>
    * colorized help output:
		Colorized command names and now help screen look well.
		* Minimum dependency, Maximum stabilization:
		patchfile:
		patches/applied-patches/minimum-dependency-maximum-stabilization-001.patch
		If we had one or two dependency we can control inary
		but there are a lot of runtime dependency. And this is
		look up bad. I clean runtime dependencies and I write 
		alternative libraries into inary. I clean runtimes:
		    * magic: it soo easy if when use ctypes.I import libmagic
				with ctypes and I use it in inary
				* plyvel: for basic files database, we musn't a big
				database library. Shelve is pretty than "Google's"
				plyvel database library.
				* ciksemel: I work about this.


2018-03-10 Suleyman Poyraz <nipalensisaquila@gmail.com>
    * Cleaned ınary/api.py:
		Clean unuseful commands, Moved functions true palaces and
		writed 2 new module.
		* Not worked patch delete-runtime-dependency-ciksemel:
		Not work well minidom. So I returned codes to ciksemel.
		Should work with minidom detailed.

2018-03-09 Suleyman Poyraz <nipalensisaquila@gmail.com>
    * Patched delete-runtime-dependency-ciksemel:
		For compability we shoul use minidom in xml file parsing,
		we shouldn't use a new runtime dependency. (Please Read CODING)

2018-03-04 Suleyman Poyraz <nipalensisaquila@gmail.com>
    * Updated RoadMap
		* Cleaned FIXME tags:
		Cleaned not understandable Fixme tags


2018-03-02 Suleyman Poyraz <nipalensisaquila@gmail.com>
    * deleted distupdate command:
		Sulin will be a roolling release distro. So we don't have a 
		distupdater.

2018-02-11 Suleyman Poyraz <nipalensisaquila@gmail.com>
  * distupdate komutu:
	Stabilize edildi ve renklendirildi
	* string -> strutils:
	Strutils fonksiyonu kullanılır hale getirildi. String
	modulunun icindekiler strutils içine taşındı
	* Bug Fixes:
	Sorunlu olan search-file komutu düzeltildi.
	Xml dosyasındaki Utf-8 decode etmeden string oluşturmasına
	çözüm bulunamadı :(


2018-02-07 Suleyman Poyraz <nipalensisaquila@gmail.com>
  * System modulleri silindi:
	Inary içinde onlara ihtiyaç olmadığını farkettim. Scom içine alarak yer
	kazandım.
	* inary/strutils.py: 
	Str veri tipi için basit tipte fonksiyonları ve multisplit gibi şeyleri
	içeren bir modul.

2018-02-04 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* Kozmetik fixler ve düzenlemeler yapıldı(developing branch)
	* Dokumantasyon taslakları yazıldı.(developing branch)
	* Merge Developing branch into master on 2018-01-07


2018-01-29 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* Gereksiz toolar temizlendi:
	Bazıları ismail abiye yüklenecek, İsmail abi kim mi?
	ÇOK YAKINDAAAA....


2018-01-28 Suleyman Poyraz <nipalensisaquila@gmail.com>
  * distupdate komutu eklendi:
	Upgrade komutu buyuk capta guncellemeler için biraz 
	tehlikeli kaçıyordu ve yetersiz sayılırdı. Bu yüzden bu 
	modul eklendi.

  * Downgrade silindi:
	Downgrade çok vasat duruyor. Upgradeden çarptım ama bence yetersiz
	o yüzden yeniden yazılana kadar rafa kaldırdım. çok yakında
	yeniden yazıp koyacam. öteki türlü hep aklımdan cıkıyor :)

2018-01-27 Suleyman Poyraz <nipalensisaquila@gmail.com>
  * Darara (new tag= inary-1.0_rc1):
	-> work build, fetch, update, install functions.
	  |_ Fixed itembyrepodb.
		|     Not used true tag. I use "Packages" but real tag was "Package".
		|_ Fixed fetcher
		|     now work very well.
		|_ Fixed all po files
		|     Usable Languages are: German, English, Franchis, Turkish and Russian
		|_ Clean non useful imports
		|_ Fixed filesdb
		\     we use leveldb based filesdb (marcin)



2018-01-26 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* Python3 kullanımı ile ilgili çok vasat bir kodlama
	anlayışımız var:
	a) Bu sorun ile ilgili olarak
	   "%s" ile taglanma yerine "{}" kullaniliyor.
	b) Ceşitli düzenlemeler yapıldı. Buna uygun olarak
	   po dosyaları ve actions.py betikleri (repodan)
		 düzenlendi.
	c) yanlış kullanımlar gereksiz importlar silindi


2018-01-20 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* Testler elden geçirilmeli:
	-> Testler düzenlendi (2018-01-20)
	-> Testler gruplandirildi (2018-01-22)
	-> oo ve autoxml testleri eklendi (2018-01-22)
	-> testlerin islevselliginden emin olunuldu (2018-01-23)

2018-01-17 Suleyman Poyraz <nipalensisaquila@gmail.com>
  * Added system_literals and now work crossplatorm 
	inary packaging:
	Look more about inary/system_literals/Modules.md

2018-01-13 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* Scom dosyalari pakette yok!!:
	Bu hata Fixe edilmiştir


2017-12-24 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* Python3 kutuphane uyumlulugu:
	lzma hataları düzenlendi, urllib.request ile fetcher 
	yeniden yazıldı
	magic kutuphanesi düzenlendi.

2017-09-02 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* Yeniden adlandırıldı:
	Yeni adı inary oldu

2017-09-02 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* fetcher düzenlendi:

2017-09-02 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* Son dakika golu:
	Rasbianin saati birkac gun geriden gelse de 3 eylulun
	son saatinde api modulunun icerisi temizlendi

2017-09-02 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* spam.operations.build:
	There are an error in using ```Build(path)``` and I will fix it tomorrow

	* unuseful importing libraries:
	example in xmlfile. A developer imported an old library preprocess
	and I try fix it 
	Türkçesi ile benim neler çektiğimi nerden bileceksiniz

2017-09-01 Suleyman Poyraz <nipalensisaquila@gmail.com>
	-> spam 1.0 beta 2
	* build:
	Add new configure function in actions.py and we can make
	configuring with only a function easly. And adding actions.py
	in packages and it moving to package dirs actions.py file

	* install:
	FIXME: If we want install a new release for any package it 
	report file conflicts error, it should fix it.

	* removing:
	FIXME: In removing a package it report file conflicts error 
	and can not remove package

	* delta:
	FIXME: I can not add actions.py file in delta package.

	* index:
	FIXME: in source repo indexing there are type errors in
	adding xml files...

	* blame:
	TODO: add blaming from packages support

	* rebuild-db:
	It working.

2017-08-31 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* Remove Comar/scom libraries:
	Now we can install packages without comar scripts
	I add a function in actions.py file.  I we want 
	configure package after installing we can make it quickly

2017-08-20 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* Cleaning unuseful outputs

2017-06-24 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* not use now iksemel:
	I rewrite iksemel module and renamed to ciksemel
	now we use in package manager ciksemel.

2017-06-23 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* spam 1.0 beta:
	Fixed byte type output problem, archive compressing
	problem and xml problem. Ï will rewrite tests and
	sha1 based key control problem.

2017-06-19 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* spam 1.0 alpha:
	Ported PiSi and make PiSi based Special Package
	Manager. I thing it's name will be SPaM ;)
	Now work it very well.

2017-05-20 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* Make tests:
	There are a problem on ComarIface.

2017-04-18 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* files hashs problem in filesldb:
	FIXED: hash encode problem

	* Should looked up install module!!!

2017-04-14 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* filesldb and plyvel:
	Should fix pisi-plyvel library hash encode type error
	
	* install:
	Fixed compressed metadata and files xml file reading problem
	(FileNotFound ERROR when reading)

2017-04-12 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* build:
	now we can build packages. Build options work very well and
	build time little than pisi-pardus or pisi-pisilinux releases

	* Error handling:
	There are type problem in error handling.

	* indexing:
	Fixed index library. Now we an indexing. And basic type package
	handling
	
	* installing:
	Now there are a problem in install library so we can't install
	packages from package files. Should fix autoxml.py write module
	and xmlfilepiks module
	
	* fetching and progress:
	I rewrite fetcher without UIHandler. I write an progress handler
	with use python
	

2017-04-11 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* lzma archive options:
	There are a problem when defining options in lzma.LZMAFile
	I can't fixe there. Now defined compress level 9 and defined
	compress type (.lzma).

2017-04-08 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* fetcher:
	Urlgrabber not work with python3. So I rewrite fetcher.py
	Now work very well but it can't get archive or package
	from ftp servers.

2017-03-20 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* autoxml.py:
	Fixed autoxml file problems. now work well.

2017-01-03 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* pisi-cli work now:
	There are a lot of problem in "pisi/cli/__init__.py". I rewrite somewheres and
	pisi-cli work now. There are problem in build and install commands.

	* FIX: There are String-Bytes bug in Error raising. Fix Here!!!!

2017-01-02 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* lazydb.py:
	It ported with fuatboluk. lower_map fixed. Now pisi module can importable
	in scripts. I should make test now.

	* rewrite tests:
	pisi modul tests rewrite and make tests. Now I can work easyly because
	there are a bug list now :)


2016-12-21 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* repodb.py:
	It port with ilkermanap. Changes return object in a function list_repos.

2016-12-13 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* pisi and scripts are ported.:
	Now I start bugspacing. There are a lot of Byte-to-String Porting
	problem. So there are a lot of works. I return porting it.

2016-12-12 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* Porting Status:
	I ported iksemel and now I start port pisi and COMAR applications.


2016-10-28 Suleyman Poyraz <nipalensisaquila@gmail.com>
	* pisi 2.6:
	Old versions written by Python2. This will be a problem in future. So
	I start it porting Python2 to Python3. This is an hard job but It doesn't
	impossible.


